# Method: projects.getSupportedLanguages

- [HTTP request](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/getSupportedLanguages#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/getSupportedLanguages#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/getSupportedLanguages#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/getSupportedLanguages#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/getSupportedLanguages#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/getSupportedLanguages#body.aspect)
- [Try it!](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects/getSupportedLanguages#try-it)

Returns a list of supported languages for translation.

### HTTP request

`GET https://translate.googleapis.com/v3/{parent=projects/*}/supportedLanguages`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Project or location to make a call. Must refer to a caller's project. Format: `projects/{project-number-or-id}` or `projects/{project-number-or-id}/locations/{location-id}`. For global calls, use `projects/{project-number-or-id}/locations/global` or `projects/{project-number-or-id}`. Non-global location is required for AutoML models. Only models within the same region (have same location-id) can be used, otherwise an INVALID_ARGUMENT (400) error is returned. |

### Query parameters

| Parameters ||
|---|---|
| `displayLanguageCode` | `string` Optional. The language to use to return localized, human readable names of supported languages. If missing, then display names are not returned in a response. |
| `model` | `string` Optional. Get supported languages of this model. The format depends on model type: - AutoML Translation models: `projects/{project-number-or-id}/locations/{location-id}/models/{model-id}` - General (built-in) models: `projects/{project-number-or-id}/locations/{location-id}/models/general/nmt`, Returns languages supported by the specified model. If missing, we get supported languages of Google general NMT model. Authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions on the specified resource `model`: - `cloudtranslate.generalModels.get` - `automl.models.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/translate/docs/reference/rest/v3/SupportedLanguages`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-translation`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).